# Uses of Interface
org.w3c.tidy.TidyMessageListener

Packages that use TidyMessageListener
Package
Description
org.w3c.tidy

## Uses of TidyMessageListener in org.w3c.tidy

Methods in org.w3c.tidy with parameters of type TidyMessageListener
Modifier and Type
Method
Description
`void`
Report.`addMessageListener(TidyMessageListener listener)`
Adds a message listener.
`void`
Tidy.`setMessageListener(TidyMessageListener listener)`
Attach a TidyMessageListener which will be notified for messages and errors.